Get vehicle details by UUIDs
Returns details for specified vehicles associated with a facility
curl --request POST \
--url https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/vehicles/get_by_uuids \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"vehicleUuids": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6",
"3fa85f64-5717-4562-b3fc-2c963f66afa7"
]
}
'import requests
url = "https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/vehicles/get_by_uuids"
payload = { "vehicleUuids": ["3fa85f64-5717-4562-b3fc-2c963f66afa6", "3fa85f64-5717-4562-b3fc-2c963f66afa7"] }
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
vehicleUuids: ['3fa85f64-5717-4562-b3fc-2c963f66afa6', '3fa85f64-5717-4562-b3fc-2c963f66afa7']
})
};
fetch('https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/vehicles/get_by_uuids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/vehicles/get_by_uuids",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'vehicleUuids' => [
'3fa85f64-5717-4562-b3fc-2c963f66afa6',
'3fa85f64-5717-4562-b3fc-2c963f66afa7'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/vehicles/get_by_uuids"
payload := strings.NewReader("{\n \"vehicleUuids\": [\n \"3fa85f64-5717-4562-b3fc-2c963f66afa6\",\n \"3fa85f64-5717-4562-b3fc-2c963f66afa7\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<x-api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/vehicles/get_by_uuids")
.header("x-api-key", "<x-api-key>")
.header("Content-Type", "application/json")
.body("{\n \"vehicleUuids\": [\n \"3fa85f64-5717-4562-b3fc-2c963f66afa6\",\n \"3fa85f64-5717-4562-b3fc-2c963f66afa7\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/vehicles/get_by_uuids")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<x-api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"vehicleUuids\": [\n \"3fa85f64-5717-4562-b3fc-2c963f66afa6\",\n \"3fa85f64-5717-4562-b3fc-2c963f66afa7\"\n ]\n}"
response = http.request(request)
puts response.read_body[
{
"facilityUuid": "1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
"rentalRecordUuid": "2a3b4c5d-6e7f-8a9b-0c1d-2e3f4a5b6c7d",
"vehicleUuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-20T15:45:00.000Z",
"type": "Sedan",
"licensePlateNumber": "ABC-1234",
"make": "Toyota",
"model": "Camry",
"vin": "1HGCM82633A123456"
}
]Headers
Api key required to authenticate your request. Please reach out to monument for a key.
"monument-2230012-2312321"
Path Parameters
Body
Array of vehicle UUIDs to retrieve details for
[
"3fa85f64-5717-4562-b3fc-2c963f66afa6",
"3fa85f64-5717-4562-b3fc-2c963f66afa7"
]
Response
Vehicle details retrieved
Facility UUID where the vehicle is registered
"1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d"
Unit rental record UUID associated with this vehicle
"2a3b4c5d-6e7f-8a9b-0c1d-2e3f4a5b6c7d"
Vehicle UUID
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
Timestamp when the vehicle was created
"2024-01-15T10:30:00.000Z"
Timestamp when the vehicle was last updated
"2024-01-20T15:45:00.000Z"
Type of the vehicle
"Sedan"
License plate number of the vehicle
"ABC-1234"
Make of the vehicle
"Toyota"
Model of the vehicle
"Camry"
Vehicle Identification Number (VIN)
"1HGCM82633A123456"
curl --request POST \
--url https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/vehicles/get_by_uuids \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"vehicleUuids": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6",
"3fa85f64-5717-4562-b3fc-2c963f66afa7"
]
}
'import requests
url = "https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/vehicles/get_by_uuids"
payload = { "vehicleUuids": ["3fa85f64-5717-4562-b3fc-2c963f66afa6", "3fa85f64-5717-4562-b3fc-2c963f66afa7"] }
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
vehicleUuids: ['3fa85f64-5717-4562-b3fc-2c963f66afa6', '3fa85f64-5717-4562-b3fc-2c963f66afa7']
})
};
fetch('https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/vehicles/get_by_uuids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/vehicles/get_by_uuids",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'vehicleUuids' => [
'3fa85f64-5717-4562-b3fc-2c963f66afa6',
'3fa85f64-5717-4562-b3fc-2c963f66afa7'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/vehicles/get_by_uuids"
payload := strings.NewReader("{\n \"vehicleUuids\": [\n \"3fa85f64-5717-4562-b3fc-2c963f66afa6\",\n \"3fa85f64-5717-4562-b3fc-2c963f66afa7\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<x-api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/vehicles/get_by_uuids")
.header("x-api-key", "<x-api-key>")
.header("Content-Type", "application/json")
.body("{\n \"vehicleUuids\": [\n \"3fa85f64-5717-4562-b3fc-2c963f66afa6\",\n \"3fa85f64-5717-4562-b3fc-2c963f66afa7\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/vehicles/get_by_uuids")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<x-api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"vehicleUuids\": [\n \"3fa85f64-5717-4562-b3fc-2c963f66afa6\",\n \"3fa85f64-5717-4562-b3fc-2c963f66afa7\"\n ]\n}"
response = http.request(request)
puts response.read_body[
{
"facilityUuid": "1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
"rentalRecordUuid": "2a3b4c5d-6e7f-8a9b-0c1d-2e3f4a5b6c7d",
"vehicleUuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-20T15:45:00.000Z",
"type": "Sedan",
"licensePlateNumber": "ABC-1234",
"make": "Toyota",
"model": "Camry",
"vin": "1HGCM82633A123456"
}
]
